Debian Bug report logs - #678661
openssh-server - Fails to start: OpenSSL version mismatch. Built against 1000103f, you have 1000007f

version graph

Package: openssh-server; Maintainer for openssh-server is Debian OpenSSH Maintainers <debian-ssh@lists.debian.org>; Source for openssh-server is src:openssh.

Reported by: Bastian Blank <waldi@debian.org>

Date: Sat, 23 Jun 2012 15:12:02 UTC

Severity: serious

Found in version openssh/1:6.0p1-1

Fixed in version openssh/1:6.0p1-2

Done: Colin Watson <cjwatson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian OpenSSH Maintainers <debian-ssh@lists.debian.org>:
Bug#678661; Package openssh-server. (Sat, 23 Jun 2012 15:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
New Bug report received and forwarded. Copy sent to Debian OpenSSH Maintainers <debian-ssh@lists.debian.org>. (Sat, 23 Jun 2012 15:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: openssh-server - Fails to start: OpenSSL version mismatch. Built against 1000103f, you have 1000007f
Date: Sat, 23 Jun 2012 17:09:20 +0200
Package: openssh-server
Version: 1:6.0p1-1
Severity: serious

sshd fails to start and therfor upgrade:
| Setting up openssh-server (1:6.0p1-1) ...
| Installing new version of config file /etc/init.d/ssh ...
| Installing new version of config file /etc/pam.d/sshd ...
| OpenSSL version mismatch. Built against 1000103f, you have 1000007f
| OpenSSL version mismatch. Built against 1000103f, you have 1000007f
| invoke-rc.d: initscript ssh, action "restart" failed.

If openssh-server needs a new version of libssl1.0.0, it must depend on
it. This already brought us a breaks in libssl1.0.0, so I intend to fix
this with a NMU if necessary.

Bastian

-- System Information:
Debian Release: 6.0.5
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'stable-updates'), (500, 'testing'), (400, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages openssh-server depends on:
ii  adduser               3.113+nmu2         add and remove users and groups
ii  debconf [debconf-2.0] 1.5.36.1           Debian configuration management sy
ii  dpkg                  1.15.8.12          Debian package management system
ii  libc6                 2.13-32            Embedded GNU C Library: Shared lib
ii  libcomerr2            1.42.2-2           common error description library
ii  libgssapi-krb5-2      1.10.1+dfsg-1      MIT Kerberos runtime libraries - k
ii  libkrb5-3             1.10.1+dfsg-1      MIT Kerberos runtime libraries
ii  libpam-modules        1.1.1-6.1+squeeze1 Pluggable Authentication Modules f
ii  libpam-runtime        1.1.1-6.1+squeeze1 Runtime support for the PAM librar
ii  libpam0g              1.1.1-6.1+squeeze1 Pluggable Authentication Modules l
ii  libselinux1           2.0.96-1           SELinux runtime shared libraries
ii  libssl1.0.0           1.0.0g-1           SSL shared libraries
ii  libwrap0              7.6.q-19           Wietse Venema's TCP wrappers libra
ii  lsb-base              3.2-23.2squeeze1   Linux Standard Base 3.2 init scrip
ii  openssh-client        1:6.0p1-1          secure shell (SSH) client, for sec
ii  procps                1:3.3.2-3          /proc file system utilities
ii  zlib1g                1:1.2.3.4.dfsg-3   compression library - runtime

Versions of packages openssh-server recommends:
ii  openssh-blacklist             0.4.1      list of default blacklisted OpenSS
pn  openssh-blacklist-extra       <none>     (no description available)
ii  xauth                         1:1.0.4-1  X authentication utility

Versions of packages openssh-server suggests:
pn  molly-guard                   <none>     (no description available)
pn  monkeysphere                  <none>     (no description available)
pn  rssh                          <none>     (no description available)
pn  ssh-askpass                   <none>     (no description available)
pn  ufw                           <none>     (no description available)

-- debconf information excluded




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenSSH Maintainers <debian-ssh@lists.debian.org>:
Bug#678661; Package openssh-server. (Sat, 23 Jun 2012 15:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenSSH Maintainers <debian-ssh@lists.debian.org>. (Sat, 23 Jun 2012 15:48:02 GMT) Full text and rfc822 format available.

Message #10 received at 678661@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 678661@bugs.debian.org
Subject: patch
Date: Sat, 23 Jun 2012 17:45:23 +0200
[Message part 1 (text/plain, inline)]
tags 678661 patch
thanks

Attached is the patch to remove the check completely. In Debian we have
dependencies to express this sort of checks. If (>= 1.0.0) is actually
not enough, you have to fix openssl.

Bastian

-- 
It would be illogical to assume that all conditions remain stable.
		-- Spock, "The Enterprise Incident", stardate 5027.3
[diff (text/plain, attachment)]

Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Sun, 24 Jun 2012 11:36:17 GMT) Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. (Sun, 24 Jun 2012 11:36:22 GMT) Full text and rfc822 format available.

Message #15 received at 678661-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 678661-close@bugs.debian.org
Subject: Bug#678661: fixed in openssh 1:6.0p1-2
Date: Sun, 24 Jun 2012 11:34:19 +0000
Source: openssh
Source-Version: 1:6.0p1-2

We believe that the bug you reported is fixed in the latest version of
openssh, which is due to be installed in the Debian FTP archive:

openssh-client-udeb_6.0p1-2_i386.udeb
  to main/o/openssh/openssh-client-udeb_6.0p1-2_i386.udeb
openssh-client_6.0p1-2_i386.deb
  to main/o/openssh/openssh-client_6.0p1-2_i386.deb
openssh-server-udeb_6.0p1-2_i386.udeb
  to main/o/openssh/openssh-server-udeb_6.0p1-2_i386.udeb
openssh-server_6.0p1-2_i386.deb
  to main/o/openssh/openssh-server_6.0p1-2_i386.deb
openssh_6.0p1-2.debian.tar.gz
  to main/o/openssh/openssh_6.0p1-2.debian.tar.gz
openssh_6.0p1-2.dsc
  to main/o/openssh/openssh_6.0p1-2.dsc
ssh-askpass-gnome_6.0p1-2_i386.deb
  to main/o/openssh/ssh-askpass-gnome_6.0p1-2_i386.deb
ssh-krb5_6.0p1-2_all.deb
  to main/o/openssh/ssh-krb5_6.0p1-2_all.deb
ssh_6.0p1-2_all.deb
  to main/o/openssh/ssh_6.0p1-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 678661@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated openssh package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 24 Jun 2012 12:16:06 +0100
Source: openssh
Binary: openssh-client openssh-server ssh ssh-krb5 ssh-askpass-gnome openssh-client-udeb openssh-server-udeb
Architecture: source i386 all
Version: 1:6.0p1-2
Distribution: unstable
Urgency: low
Maintainer: Debian OpenSSH Maintainers <debian-ssh@lists.debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 openssh-client - secure shell (SSH) client, for secure access to remote machines
 openssh-client-udeb - secure shell client for the Debian installer (udeb)
 openssh-server - secure shell (SSH) server, for secure access from remote machines
 openssh-server-udeb - secure shell server for the Debian installer (udeb)
 ssh        - secure shell client and server (metapackage)
 ssh-askpass-gnome - interactive X program to prompt users for a passphrase for ssh-ad
 ssh-krb5   - secure shell client and server (transitional package)
Closes: 678661
Changes: 
 openssh (1:6.0p1-2) unstable; urgency=low
 .
   * Tighten libssl1.0.0 and libcrypto1.0.0-udeb dependencies to the current
     "fix" version at build time (closes: #678661).
Checksums-Sha1: 
 c284aa2a303c1f4e0b43e86184052c1a3ef4f5fe 2535 openssh_6.0p1-2.dsc
 603bae8e27c4fcd6e80fcf73c3b0e3e177bb2bbf 245468 openssh_6.0p1-2.debian.tar.gz
 9827d5155c1b485abb0df0776ab4aa90ee7caab0 1045048 openssh-client_6.0p1-2_i386.deb
 6a7ba2a1c62d064b5db958435d997ecef2ab0735 341448 openssh-server_6.0p1-2_i386.deb
 5ef4bbf40cdee665ddb6cec0e0e126ddb654c4e5 1248 ssh_6.0p1-2_all.deb
 a7d0202404574c385fc3a6787fb89054eaa14ed4 88426 ssh-krb5_6.0p1-2_all.deb
 6235c59a9624978d1a725cb8930cefa3d414f62a 96540 ssh-askpass-gnome_6.0p1-2_i386.deb
 c9beeefd5107c41e3b3ebd69679423fdcc344302 181358 openssh-client-udeb_6.0p1-2_i386.udeb
 dde4f9e0c91f77a7f473d661ac86321b9ea644f2 193992 openssh-server-udeb_6.0p1-2_i386.udeb
Checksums-Sha256: 
 02f268b0f502e03bf99cd27541bae2f10a8a59724ce53fb2cb6df1d9333aef6f 2535 openssh_6.0p1-2.dsc
 0555df239b7fbcdcae7c19a4a1e7d3feeb8d0fdddac2fb626d6b809e68b3833c 245468 openssh_6.0p1-2.debian.tar.gz
 aad23bc1dca8e49a806010949ca66c476472469353cefa85a1f8a09492446e41 1045048 openssh-client_6.0p1-2_i386.deb
 975d7d39f48f5d75fc07e7ff1d54a1c6d7cb76111c9ec370cfcbe18aebebcd56 341448 openssh-server_6.0p1-2_i386.deb
 0691e92c771a63e9f0afdb178a5f208246e11bd047c0108d8d22d8be5ed113aa 1248 ssh_6.0p1-2_all.deb
 78fbd42dae3ea44762e3bc8777ed60353837776dc5385ea937f9ae19ed2e2f0f 88426 ssh-krb5_6.0p1-2_all.deb
 f4fd05f6a3ca109d1c3b8061dbb12d1784020e705ba155093146005d5b2b8ad5 96540 ssh-askpass-gnome_6.0p1-2_i386.deb
 e053140bb5feb84d47942c499659089adfcb4b85772b7acfee73af499dce37c6 181358 openssh-client-udeb_6.0p1-2_i386.udeb
 e6a8e083b1dd4fb44195ad8402f138d14e2a45cf6ae7ed77fc46961b1c8bc533 193992 openssh-server-udeb_6.0p1-2_i386.udeb
Files: 
 9e0dccd38675f10398c052a5077e187e 2535 net standard openssh_6.0p1-2.dsc
 07c0235ca681df339c92f2f4f1bd2b03 245468 net standard openssh_6.0p1-2.debian.tar.gz
 5c98a16c8a12def9bc6c7740d6c2e974 1045048 net standard openssh-client_6.0p1-2_i386.deb
 06f7abbb3cc6330f3ccb7184c75f83ac 341448 net optional openssh-server_6.0p1-2_i386.deb
 437e6fa70f623d23df48f060c49dc0db 1248 net extra ssh_6.0p1-2_all.deb
 b0bb4c85fbfa4c1107a1fb32da192044 88426 oldlibs extra ssh-krb5_6.0p1-2_all.deb
 6152920719a44062d796919f9255a8c6 96540 gnome optional ssh-askpass-gnome_6.0p1-2_i386.deb
 9fbd6d2c6334ffa10067a9b0e0bd2485 181358 debian-installer optional openssh-client-udeb_6.0p1-2_i386.udeb
 762219f27cea0ecf0f8d23abaf9e5ec5 193992 debian-installer optional openssh-server-udeb_6.0p1-2_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iQIVAwUBT+b4kzk1h9l9hlALAQihfA//UNyqXqMrqKKfTzMdMH6E+anWylH6PR2a
eHIrGxvUJX0Fg3Ggce2SpPEHOanc22dd/6J0MefKdoOhCsrLVObDz255xioGQ6QA
38P19I6thOi6BhRTDmJBZ+Pv/D5kWfiA/3qSFEmHCuo2KGdJM89XCM0A7HDEl07O
fTSOzX1rc6kVGQhCNqvM56tiLzJN0aZDJRqW1LOI83WbeAM0Ho5XXRR8U7/g60Hi
EJGEd27zzxZzTIxWaigz6KWxPsOhs4R724cQIvjkNS3tUY5Wodbya642k9DonHPM
eBEBjEei3v1xltSeH1mGDn4LucUXRshmZmr3a42xGQNBJZoPl9w1OALntsXAN4cL
b33t0UGZkNFHqJjbXyI+rJbHyWVavyKQSGtz07al6pMC48Jzvx1mn0ZBcE/BfQJw
qRHGUJa14fVy6Ve0NBe+EpoZSqxbuk2lxuhvSfAfEkmtm1zGXIu7qUlLguxFWFzs
RnS1RC4VcrBhZRTpw0RHRQV5bQTcSMYz8f81UPhbcm5QH8T9WDnoss6SfEAWKwzO
QfjvZq2JwxJrPVmjkjRFAfMcBy4VvacUgRFn7ZmJEvv/alrtwQxNrebPTNUXKIpa
sTZ/kR2eNovd6yMzgx5T2GJLnzH/1hF+3uJ1yg/Ly9WQNdyRdNDfabxJgIftOKb7
EwVsRRywonM=
=HnkQ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 23 Jul 2012 07:35:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:33:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.